//
//  BadWidgets.swift
//  BadWidgets
//
//  Created by Shadowfacts on 9/24/22.
//

import WidgetKit
import SwiftUI

@main
struct BadWidgets: Widget {
    let kind: String = "BadWidgets"

    var body: some WidgetConfiguration {
        ActivityConfiguration(for: BadAppleAttributes.self) { context in
            FrameView(frame: context.state.frame)
        } dynamicIsland: { context in
            DynamicIsland {
                DynamicIslandExpandedRegion(.leading) {
                    FrameView(frame: context.state.frame)
                }
            } compactLeading: {
                FrameView(frame: context.state.frame)
            } compactTrailing: {
            } minimal: {
                FrameView(frame: context.state.frame)
            }
        }

    }
}
